/*
 * Vencord, a Discord client mod
 * Copyright (c) 2023 Vendicated and contributors
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

export const defaultColorwaySource = "https://raw.githubusercontent.com/DaBluLite/ProjectColorway/master/index.json";

export const fallbackColorways = [
    {
        name: "Keyboard Purple",
        original: false,
        accent: "hsl(235 85.6% 64.7%)",
        primary: "#222456",
        secondary: "#1c1f48",
        tertiary: "#080d1d",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/KeyboardPurple/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Eclipse",
        original: false,
        accent: "hsl(87 85.6% 64.7%)",
        primary: "#000000",
        secondary: "#181818",
        tertiary: "#0a0a0a",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Eclipse/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Cyan",
        original: false,
        accent: "#009f88",
        primary: "#202226",
        secondary: "#1c1e21",
        tertiary: "#141517",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Cyan/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Spotify",
        original: false,
        accent: "hsl(141 76% 48%)",
        primary: "#121212",
        secondary: "#090909",
        tertiary: "#090909",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Spotify/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Bright n' Blue",
        original: true,
        accent: "hsl(234, 68%, 33%)",
        primary: "#394aae",
        secondary: "#29379d",
        tertiary: "#1b278d",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/BrightBlue/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Still Young",
        original: true,
        accent: "hsl(58 85.6% 89%)",
        primary: "#443a31",
        secondary: "#7c3d3e",
        tertiary: "#207578",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/StillYoung/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Sea",
        original: true,
        accent: "hsl(184, 100%, 50%)",
        primary: "#07353b",
        secondary: "#0b5e60",
        tertiary: "#08201d",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Sea/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Lava",
        original: true,
        accent: "hsl(4, 80.4%, 32%)",
        primary: "#401b17",
        secondary: "#351917",
        tertiary: "#230b0b",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Lava/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Solid Pink",
        original: true,
        accent: "hsl(340, 55.2%, 56.3%)",
        primary: "#1e151c",
        secondary: "#21181f",
        tertiary: "#291e27",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/SolidPink/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Sand",
        original: true,
        accent: "hsl(41, 31%, 45%)",
        primary: "#7f6c43",
        secondary: "#665b33",
        tertiary: "#5c5733",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Sand/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "AMOLED",
        original: true,
        accent: "hsl(235 85.6% 64.7%)",
        primary: "#000000",
        secondary: "#000000",
        tertiary: "#000000",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Amoled/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Zorin",
        original: false,
        accent: "hsl(200, 89%, 86%)",
        primary: "#171d20",
        secondary: "#171d20",
        tertiary: "#1e2529",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Zorin/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Desaturated",
        original: false,
        accent: "hsl(227, 58%, 65%)",
        primary: "#35383d",
        secondary: "#2c2f34",
        tertiary: "#1e1f24",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Desaturated/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Crimson",
        original: false,
        accent: "hsl(0, 100%, 50%)",
        primary: "#050000",
        secondary: "#0a0000",
        tertiary: "#0f0000",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Crimson/import.css);",
        author: "Riddim_GLiTCH",
        authorID: "801089753038061669",
    },
    {
        name: "Jupiter",
        original: true,
        accent: "#ffd89b",
        primary: "#ffd89b",
        secondary: "#19547b",
        tertiary: "#1e1f22",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Jupiter/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
        isGradient: true,
        colors: ["accent", "primary", "secondary"],
    },
    {
        name: "Neon Candy",
        original: true,
        accent: "#FC00FF",
        primary: "#00DBDE",
        secondary: "#00DBDE",
        tertiary: "#00DBDE",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/NeonCandy/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
        isGradient: true,
        colors: ["accent", "primary"],
    },
    {
        name: "Wildberry",
        original: false,
        accent: "#f40172",
        primary: "#180029",
        secondary: "#340057",
        tertiary: "#4b007a",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Wildberry/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Facebook",
        original: false,
        accent: "#2375e1",
        primary: "#18191a",
        secondary: "#242526",
        tertiary: "#3a3b3c",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Facebook/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Material You",
        original: false,
        accent: "#004977",
        primary: "#1f1f1f",
        secondary: "#28292a",
        tertiary: "#2d2f31",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/MaterialYou/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "Discord Teal",
        original: false,
        accent: "#175f6d",
        primary: "#313338",
        secondary: "#2b2d31",
        tertiary: "#1e1f22",
        "dc-import": "@import url(//dablulite.github.io/css-snippets/DiscordTeal/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
        colors: ["accent"],
    },
    {
        name: "黄昏の花 (Twilight Blossom)",
        original: true,
        accent: "#e100ff",
        primary: "#04000a",
        secondary: "#0b0024",
        tertiary: "#210042",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/TwilightBlossom/import.css);",
        author: "Riddim_GLiTCH",
        authorID: "801089753038061669",
    },
    {
        name: "Chai",
        original: true,
        accent: "#59cd51",
        primary: "#1c1e15",
        secondary: "#1e2118",
        tertiary: "#24291e",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/Chai/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
    {
        name: "CS1.6",
        original: false,
        accent: "#929a8d",
        primary: "#3f4738",
        secondary: "#5b6c51",
        tertiary: "#4d5945",
        "dc-import": "@import url(//dablulite.github.io/DiscordColorways/CS16/import.css);",
        author: "DaBluLite",
        authorID: "582170007505731594",
    },
];


export const knownThemeVars = {
    "Cyan": {
        variable: "--cyan-accent-color",
        accent: "--cyan-accent-color",
        primary: "--cyan-background-primary",
        secondary: "--cyan-background-secondary"
    },
    "Virtual Boy": {
        variable: "--VBaccent",
        tertiary: "--VBaccent-muted",
        alt: {
            tertiary: "--VBaccent-dimmest"
        }
    },
    "Modular": {
        variable: "--modular-hue",
        accentVariables: {
            h: "--modular-hue",
            s: "--modular-saturation",
            l: "--modular-lightness"
        }
    },
    "Solana": {
        variable: "--accent-hue",
        accentVariables: {
            h: "--accent-hue",
            s: "--accent-saturation",
            l: "--accent-brightness"
        },
        primaryVariables: {
            h: "--background-accent-hue",
            s: "--background-accent-saturation",
            l: "--background-accent-brightness"
        }
    }
};

export const mainColors = [
    { name: "accent", title: "Accent", var: "--brand-experiment" },
    { name: "primary", title: "Primary", var: "--background-primary" },
    { name: "secondary", title: "Secondary", var: "--background-secondary" },
    { name: "tertiary", title: "Tertiary", var: "--background-tertiary" }
];
